Core - Bug # 55556

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Must have
Author: Marcin Sagol Category: Install Tool
Created: 2014-02-01 Assigned To:

Updated: 2014-03-08 Due date:

TYPO3 Version: 6.2

PHP Version: 5.5

Complexity:

Is Regression: No

Sprint Focus:

Subject: Install Tool - Can't save some of the configuration presets

Description
TYPQO3 6.2 offers Configuration Presets section in Install Tool. There seems to be some problem with saving for example settings from
'Extbase object cache' section. First it does not have default value checked - both APC cache backend and Database cache backend
are empty. If i select 'Database cache backend' as active and save configuration than conformation messages shows it as:
'SYS/caching/cacheConfigurations/extbase_object' => 'Array’
If we now take a look at LocalConfiguration.php than we see:
'caching' => array(

‘cacheConfigurations' => array(

'extbase_object' => array(),

),
),

so the selected value is not saved.

Now probably because of this if we check Database Analyzer in Install Tool we will see this 2:

ALTER TABLE cf_extbase_datamapfactory_datamap RENAME zzz_deleted_cf_extbase_datamapfactory_datamap;
ALTER TABLE cf_extbase_datamapfactory_datamap_tags RENAME zzz_deleted_cf_extbase_datamapfactory_datamap_tags;

Now if some user remove this tables it will break his frontend and results with a lot of DB errors in Backend because various queries to
DB fail.
History

#1 - 2014-02-01 15:46 - Christian Kuhn
- Parent task set to #49162

#2 - 2014-02-11 08:07 - Christian Clemens
Although | do not understand Christians explanations, | can confirm this problem ;-)

Is there a way to activate APC manually?

#3 - 2014-03-07 21:59 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28175

#4 - 2014-03-07 22:10 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28175

#5 - 2014-03-08 16:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e2fd5203d30b09303cdf98cb28975717e0f2524d.
